package com.ebts.generator.entity;

import com.ebts.common.utils.StringUtils;
import lombok.Builder;
import lombok.Data;

//@Data
//@Builder
public class UniColumnInfo {
    private long queryId;
    private String prop;
    private String label;

    public UniColumnInfo() {
    }

    public UniColumnInfo(long queryId,String prop, String label) {
        this.queryId = queryId;
        if (StringUtils.isNull(label)){
            this.label = prop;
        }else {
            this.label = label;
        }
        this.prop = prop;
    }

    public long getQueryId() {
        return queryId;
    }

    public void setQueryId(long queryId) {
        this.queryId = queryId;
    }

    public String getProp() {
        return prop;
    }

    public void setProp(String prop) {
        this.prop = prop;
    }

    public String getLabel() {
        return label;
    }

    public void setLabel(String label) {
        this.label = label;
    }
}
